%define module_name	at76c503
%define module_version	0.11
%define module_release	alt1.132125.9

%define kversion	2.4.29
%define krelease	alt9
%define flavour		std-up

%define norm_version	%kversion

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Modules for Atmel at76c503 based usb wlan adapters
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://at76c503a.berlios.de/
BuildRequires: perl sharutils
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
at76c503 - linux driver for Atmel at76c503 based usb wlan adapters
------------------------------------------------------------------

Known devices with this chip are:
- Belkin F5D6050
- Dynalink/Askey WLL013
- Linksys WUSB11 v2.6
- Netgear MA101B
- Compex WLU11A-E
and many more.

This driver suppports Intersil radios (and will do so in the future).

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION \
     KERNEL_VERSION=%kversion-%flavour-%krelease \
     KERNEL_SRC=%_usrsrc/linux-%kversion-%flavour \
     MODULE_DIR=%module_dir 

%install
mkdir -p $RPM_BUILD_ROOT%module_dir/

# We'll do individual install to avoid issuing depmod call in main Makefile
for i in *.o; do install -p -m644 $i $RPM_BUILD_ROOT/%module_dir; done

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
#defattr(644,root,root,755)
%module_dir

%changelog
* Thu Dec 24 2004 LAKostis <lakostis at altlinux.ru> 0.11-alt1.132125.9
- Initial release

